VRPlatformVRPlatform
Reports

/reports/guest-balances

Guest Balances Report

GET
/reports/guest-balances
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

date*string
occupancyStatus*string
Value in"departed" | "inHouse" | "upcoming" | "cancelled" | "unassigned" | "all"
channels?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/guest-balances?date=string&occupancyStatus=departed"
{
  "data": [
    {
      "status": "booked",
      "total": 0,
      "charges": 0,
      "payments": 0,
      "listings": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "total": 0,
          "charges": 0,
          "payments": 0,
          "reservations": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "checkIn": "string",
              "checkOut": "string",
              "bookedAt": "string",
              "cancelledAt": "string",
              "bookingPlatform": "string",
              "guestName": "string",
              "confirmationCode": "string",
              "nights": 0,
              "transactionDate": "string",
              "transactionDescription": "string",
              "total": 0,
              "charges": 0,
              "payments": 0
            }
          ]
        }
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}